Subject: RE: linux-next: manual merge of the input tree with the s5p tree

From: Kukjin Kim <[email-masked]>
Date: Fri, 06 Aug 2010 09:43:34 +0900

Stephen Rothwell wrote:
> 
> Hi all,
> 
> On Thu, 22 Jul 2010 11:46:55 +1000 Stephen Rothwell <[email-masked]>
> wrote:
> >
> > Today's linux-next merge of the input tree got a conflict in
> > arch/arm/plat-samsung/include/plat/keypad.h between commit
> > 1e3241300503df18a098dd35098f6975dcf622e2 ("ARM: SAMSUNG: Add keypad
> > device support") from the s5p tree and commit
> > 0fffed27f92d9d7a34de9fe017b7082b5958bb93 ("Input: samsung-keypad - Add
> > samsung keypad driver") from the input tree.
> >
> > This just looks like two versions of the same driver (or two drivers
> > sharing the same header) - please sort this out.  I have fixed up the
> > header for today (by including both versions where necessary).
> 
> I got this again (something obviously changed a little) but the input
> tree version is now in Linus' tree.  Please fix this up.

Hi Stephen,

Yeah,

I know that Dmitry's 'Input: samsung-keypad...patch' which includes
plat/keypad.h has been merged Linus' tree in this merge window.
And Joonyoung's another patch which is in my tree needs to update it, but my
tree is don't having it against Linus' 2.6.35.

So happened conflict...how can/should I handle this...
Should I rebase my tree against Linus' latest?

Thanks.

Best regards,
Kgene.
--
Kukjin Kim <[email-masked]>, Senior Engineer,
SW Solution Development Team, Samsung Electronics Co., Ltd.